function [ Y,M ] = homoSpaceTransform( tx, ty, theta, delta, singleCellImage )

    txyMatrix = [1, 0, tx; ...
                 0, 1, ty; ...
                 0, 0, 1];
             
    rotateMatrix = [cos(theta), -sin(theta), 0; ...
                    sin(theta), cos(theta),  0; ...
                    0,          0,           1];
                
    scaleMatrix = [delta, 0, 0; ...
                   0, delta, 0; ...
                   0, 0,     1];
    
    M = txyMatrix * rotateMatrix * scaleMatrix ;
    
    PixelNum = size(singleCellImage,1)*size(singleCellImage,2);
    Y(1,:)=M*double([1,1,1])';
    Y(2,:)=M*double([1,size(singleCellImage,2),1])';
    Y(3,:)=M*double([size(singleCellImage,1),size(singleCellImage,2),1])';
    Y(4,:)=M*double([size(singleCellImage,1),1,1])';
    
    
end

